Skip to main content
`Ctrl`+`K`

# STShellApplyTransposeFn

A prototype of a function for the user-defined `STApplyTranspose()` operation in an `STSHELL`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode STShellApplyTransposeFn(ST st,Vec xin,Vec xout);

## Calling Sequence

- st - the spectral transformation context

- xin - input vector

- xout - output vector

## See Also

ST: Spectral Transformation, `STShellSetApplyTranspose()`, `STApplyTranspose()`

## Level

advanced

## Location

include/slepcst.h

Index of all ST routines Table of Contents for all manual pages Index of all manual pages